<?php
error_reporting(0); 
include("../../config/ht.php");
session_start();
if(!isset($_SESSION['username'])){echo "<script>alert('身份已失效,请重新登录!')</script><script>location.href='/fapian/'</script>";exit;}
$username=$_SESSION['username'];
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="gb2312">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<title>上传视频</title>
<SCRIPT language=javascript src="/2019newui/js/jquery.min.js"></SCRIPT>
<script src="/layui/layui.js"></script>
<script src="/2019newui/js/myc.js"></script>
<script src="/2019newui/js/webuploader.js" type="text/javascript" charset="utf-8"></script>
<link rel="stylesheet" href="/layui/css/layui.css" media="all" />
<link rel="stylesheet" href="/2019newui/fp/style.css">
<link rel="stylesheet" href="/2019newui/fp/webuploader.css">
</head>
<body>
<div class="layui-layout layui-layout-admin">
<div class="layui-header">
<div class="layui-logo"><span style="color:#fff;font-size:20px;font-family:"微软雅黑";">发片后台</span></div>
<ul class="layui-nav layui-layout-right">
<li class="layui-nav-item"><?php echo $username?></li>
</ul>
</div>
<div class="layui-side layui-bg-black">
<div class="layui-side-scroll">
<ul class="layui-nav layui-nav-tree"  lay-filter="test">
<li class="layui-nav-item layui-nav-itemed">
<a class="" href="javascript:;">功能菜单</a>
<dl class="layui-nav-child">
<dd class="layui-this"><a href="/fmain<?php echo $dshz?>">上传视频</a></dd>
<dd class=""><a href="/fshipin<?php echo $dshz?>">视频地址</a></dd>
</dl>
</li>
<li class="layui-nav-item "><a href="/ftui<?php echo $dshz?>">安全退出</a></li>
</ul>
</div>
</div>
<div class="layui-body">
<div style=" padding:15px;">
<div id="uploader">
<div class="queueList">
<div id="dndArea" class="placeholder">
<div id="filePicker"></div>
<p>请将视频拖动到这或直接添加上传</p>
</div>
<div   class="queueList2">
</div>
</div>
<div class="statusBar" style="display:none;">
<div class="progress">
<span class="text">0%</span>
<span class="percentage"></span>
</div>
<div class="info"></div>
<div class="btns">
<div id="filePicker2"></div><div class="uploadBtn">开始上传</div>
</div>
</div>
</div>
</div>
<script type="text/javascript">
(function ($) {
$(function () {
var $wrap = $('#uploader'),
$queue = $('<ul class="filelist" style="list-style:none;"></ul>')
.appendTo($wrap.find('.queueList2')),
$statusBar = $wrap.find('.statusBar'),
$info = $statusBar.find('.info'),
$upload = $wrap.find('.uploadBtn'),
$placeHolder = $wrap.find('.placeholder'),
$progress = $statusBar.find('.progress').hide(),
fileCount = 0,
fileSize = 0,
state = 'pedding',
percentages = {},
isSupportBase64 = (function () {
var data = new Image();
var support = true;
data.onload = data.onerror = function () {
if (this.width != 1 || this.height != 1) {
support = false;
}
}
data.src = "data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///ywAAAAAAQABAAACAUwAOw==";
return support;
})(),
// 实例化
uploader = WebUploader.create({
auto: false,
pick: {
id: '#filePicker',
label: '点击选择视频'
},
dnd: '#dndArea',
paste: '#uploader',
swf: '/2019newui/js/uploader.swf',
server: '/fup<?php echo $dshz?>',
disableGlobalDnd: true,       
fileNumLimit: 100,
fileSizeLimit: 200 * 1024 * 1024,    // 200 M
fileSingleSizeLimit: 200 * 1024 * 1024,
chunkRetry: false,
chunked: true, 
chunkSize:2*1024*1024,
threads: 1,//上传并发数
method:'POST',
accept: {
title: '上传视频',
extensions: 'mp4',
mimeTypes: 'video/*'
},
});
uploader.on('dndAccept', function (items) {
var denied = false,
len = items.length,
i = 0,
unAllowed = 'text/plain;application/javascript ';
for (; i < len; i++) {
if (~unAllowed.indexOf(items[ i ].type)) {
denied = true;
break;
}
}
return !denied;
});
uploader.addButton({
id: '#filePicker2',
label: '继续添加'
});
uploader.on('ready', function () {
window.uploader = uploader;
});
function addFile(file) {
var $li = $('<li id="' + file.id + '">' +
'<p class="title">' + file.name + '</p><br>' +
'</li>'),
$btns = $('<div class="file-panel">' +
'<span class="cancel">删除</span></div>').appendTo($li),
$prgress = $li.find('p.progress span'),
$wrap = $li.find('p.imgWrap'),
$info = $('<p class="error"></p>'),
showError = function (code) {
switch (code) {
case 'exceed_size':
text = '文件大小超出';
break;
case 'interrupt':
text = '上传暂停';
break;
default:
text = '上传失败，请重试';
break;
}
$info.text(text).appendTo($li);
};
if (file.getStatus() === 'invalid') {
showError(file.statusText);
} else {
percentages[ file.id ] = [file.size, 0];
file.rotation = 0;
}
file.on('statuschange', function (cur, prev) {
if (prev === 'progress') {
$prgress.hide().width(0);
} else if (prev === 'queued') {
$li.off('mouseenter mouseleave');
$btns.remove();
}
if (cur === 'error' || cur === 'invalid') {
console.log(file.statusText);
showError(file.statusText);
percentages[ file.id ][ 1 ] = 1;
} else if (cur === 'interrupt') {
showError('interrupt');
} else if (cur === 'queued') {
percentages[ file.id ][ 1 ] = 0;
} else if (cur === 'progress') {
$info.remove();
$prgress.css('display', 'block');
} else if (cur === 'complete') {
$li.append('<span class="success"></span>');
}
$li.removeClass('state-' + prev).addClass('state-' + cur);
});
$li.on('mouseenter', function () {
$btns.stop().animate({height: 30});
});
$li.on('mouseleave', function () {
$btns.stop().animate({height: 0});
});
$btns.on('click', 'span', function () {
var index = $(this).index(),
deg;
switch (index) {
case 0:
uploader.removeFile(file);
return;
case 1:
file.rotation += 90;
break;
case 2:
file.rotation -= 90;
break;
}
if (supportTransition) {
deg = 'rotate(' + file.rotation + 'deg)';
$wrap.css({
'-webkit-transform': deg,
'-mos-transform': deg,
'-o-transform': deg,
'transform': deg
});
} else {
$wrap.css('filter', 'progid:DXImageTransform.Microsoft.BasicImage(rotation=' + (~~((file.rotation / 90) % 4 + 4) % 4) + ')');
}
});
$li.appendTo($queue);
}
// 负责view的销毁
function removeFile(file) {
var $li = $('#' + file.id);
delete percentages[ file.id ];
updateTotalProgress();
$li.off().find('.file-panel').off().end().remove();
}
function updateTotalProgress() {
var loaded = 0,
total = 0,
spans = $progress.children(),
percent;
$.each(percentages, function (k, v) {
total += v[ 0 ];
loaded += v[ 0 ] * v[ 1 ];
});
percent = total ? loaded / total : 0;
spans.eq(0).text(Math.round(percent * 100) + '%');
spans.eq(1).css('width', Math.round(percent * 100) + '%');
updateStatus();
}
function updateStatus() {
var text = '', stats;
if (state === 'ready') {
text = '选中' + fileCount + '个视频，共' +
WebUploader.formatSize(fileSize) + '。';
} else if (state === 'confirm') {
stats = uploader.getStats();
if (stats.uploadFailNum) {
text = '已成功上传' + stats.successNum + '视频，' +
stats.uploadFailNum + '视频上传失败，<a class="retry" href="#">重新上传</a>失败视频或<a class="ignore" href="#">忽略</a>'
}
} else {
stats = uploader.getStats();
text = '共' + fileCount + '个（' +
WebUploader.formatSize(fileSize) +
'），已上传' + stats.successNum + '个';
if (stats.uploadFailNum) {
text += '，失败' + stats.uploadFailNum + '个';
}
}
$info.html(text);
}
function setState(val) {
var file, stats;
if (val === state) {
return;
}
$upload.removeClass('state-' + state);
$upload.addClass('state-' + val);
state = val;
switch (state) {
case 'pedding':
$placeHolder.removeClass('element-invisible');
$queue.hide();
$statusBar.addClass('element-invisible');
uploader.refresh();
break;
case 'ready':
$placeHolder.addClass('element-invisible');
$('#filePicker2').removeClass('element-invisible');
$queue.show();
$statusBar.removeClass('element-invisible');
uploader.refresh();
break;
case 'uploading':
$('#filePicker2').addClass('element-invisible');
$progress.show();
$upload.text('暂停上传');
break;
case 'paused':
$progress.show();
$upload.text('继续上传');
break;
case 'confirm':
$progress.hide();
$('#filePicker2').removeClass('element-invisible');
$upload.text('开始上传');
stats = uploader.getStats();
if (stats.successNum && !stats.uploadFailNum) {
setState('finish');
return;
}
break;
case 'finish':
stats = uploader.getStats();
if (stats.successNum) {

layer.open({  
title: ['温馨提示'],  
content: '<div style="padding: 20px 100px;">上传成功</div>',  
btn: ['继续上传', '进入编辑'],  
shadeClose: true,  
yes: function(index, layero){  
location.reload(); 
},  
btn2: function(index, layero){  
location.href='/fshipin<?php echo $dshz?>';
},  
cancel: function(index,layero){ 
location.href='/fshipin<?php echo $dshz?>';
},  
});   
} else {
state = 'done';
location.reload();
}
break;
}
updateStatus();
}
uploader.onUploadProgress = function (file, percentage) {
var $li = $('#' + file.id),
$percent = $li.find('.progress span');
$percent.css('width', percentage * 100 + '%');
percentages[ file.id ][ 1 ] = percentage;
updateTotalProgress();
};
uploader.onFileQueued = function (file) {
fileCount++;
fileSize += file.size;
if (fileCount === 1) {
$placeHolder.addClass('element-invisible');
$statusBar.show();
}
addFile(file);
setState('ready');
updateTotalProgress();
};
uploader.onFileDequeued = function (file) {
fileCount--;
fileSize -= file.size;
if (!fileCount) {
setState('pedding');
}
removeFile(file);
updateTotalProgress();
};
uploader.on('all', function (type) {
var stats;
switch (type) {
case 'uploadFinished':
setState('confirm');
break;
case 'startUpload':
setState('uploading');
break;
case 'stopUpload':
setState('paused');
break;
}
});
uploader.onError = function (code) {
myc.toast({
msg: code
});
};
$upload.on('click', function (file) {
if ($(this).hasClass('disabled')) {
return false;
}
if (state === 'ready') {
window.uploader.options.formData.username = '<?php echo $username?>';
window.uploader.retry();
uploader.upload();
} else if (state === 'paused') {
uploader.upload();
} else if (state === 'uploading') {
uploader.stop();
}
});
$info.on('click', '.retry', function () {
uploader.retry();
});
$info.on('click', '.ignore', function () {
alert('todo');
});
$upload.addClass('state-' + state);
updateTotalProgress();
});
})(jQuery);
</script>
</div>
</div>
<script>
layui.use(['form', 'layedit', 'laydate', 'element', 'jquery', 'layer'], function(){
var form = layui.form
,layer = layui.layer
,layedit = layui.layedit
,element = layui.element
,laydate = layui.laydate
,$ = layui.jquery;
});
</script>
</body>
</html>